package com.bcxin.ars.dto.sb;

import com.bcxin.ars.dto.SearchDto;
import com.bcxin.ars.model.SbSubsidiaryBase;
import com.bcxin.ars.model.SbSubsidiaryManager;

import java.util.List;

/**
 * 子公司信息搜索类
 * @author Ethan
 */
public class SbSubsidiaryManagerSearchDto extends SearchDto<SbSubsidiaryManager> {

	private static final long serialVersionUID = 7649752662428917609L;

	List<SbSubsidiaryManager> list;

	public List<SbSubsidiaryManager> getList() {
		return list;
	}

	public void setList(List<SbSubsidiaryManager> list) {
		this.list = list;
	}

	/**
	 * 用户ID
	 */
	private Long userid;

	public Long getUserid() {
		return userid;
	}

	public void setUserid(Long userid) {
		this.userid = userid;
	}

	/**

	 * 管理人员职务
	 */
	private String jobName;

	/**
	 * 联系方式
	 */
	private String phone;

	/**
	 * 职业技能等级
	 */
	private String jobLevel;

	/**
	 * 学历
	 */
	private String education;

	/**
	 * 管理员证件类型
	 */
	private String managerLicenseType;

	/**
	 *  管理员证件号
	 */
	private String managerId;

	/**
	 *  管理员职业类型
	 */
	private String jobType;

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}


	public String getJobName() {
		return jobName;
	}

	public void setJobName(String jobName) {
		this.jobName = jobName;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getJobLevel() {
		return jobLevel;
	}

	public void setJobLevel(String jobLevel) {
		this.jobLevel = jobLevel;
	}

	public String getEducation() {
		return education;
	}

	public void setEducation(String education) {
		this.education = education;
	}

	public String getManagerLicenseType() {
		return managerLicenseType;
	}

	public void setManagerLicenseType(String managerLicenseType) {
		this.managerLicenseType = managerLicenseType;
	}

	public String getManagerId() {
		return managerId;
	}

	public void setManagerId(String managerId) {
		this.managerId = managerId;
	}

	public String getJobType() {
		return jobType;
	}

	public void setJobType(String jobType) {
		this.jobType = jobType;
	}
}
